import java.awt.*; 
import java.awt.event.*; 

public class MyFrame extends Frame implements MouseListener, WindowListener 
{ 
  Label LabelSize, LabelWeight, LabelResult; 
  TextField TextSize, TextWeight; 
  Button OK; 

  public MyFrame() 
  { 
    setLayout(new GridLayout(3, 2)); 
    setSize(400, 120); 
    LabelSize = new Label("Ihre Körpergröße in cm:"); 
    LabelWeight = new Label("Ihr Gewicht in kg:"); 
    LabelResult = new Label(); 
    TextSize = new TextField(); 
    TextWeight = new TextField(); 
    OK = new Button("OK"); 
    OK.addMouseListener(this); 
    add(LabelSize); 
    add(TextSize); 
    add(LabelWeight); 
    add(TextWeight); 
    add(LabelResult); 
    add(OK); 
    addWindowListener(this); 
  } 

  public void mouseReleased(MouseEvent ev) 
  { 
    if (TextSize.getText().length() > 0 && TextWeight.getText().length() > 0) 
    { 
      try 
      { 
        int Size = Integer.parseInt(TextSize.getText()); 
        int Weight = Integer.parseInt(TextWeight.getText()); 
        double BMI = Weight / ((Size / 100.0) * (Size / 100.0)); 
        if (BMI < 18.5) 
        { 
          LabelResult.setText("Sie haben möglicherweise Untergewicht."); 
        } 
        else if (BMI > 30) 
        { 
          LabelResult.setText("Sie haben möglicherweise starkes Übergewicht."); 
        } 
        else if (BMI > 25) 
        { 
          LabelResult.setText("Sie haben möglicherweise Übergewicht."); 
        } 
        else 
        { 
          LabelResult.setText("Sie haben Normalgewicht."); 
        } 
      } catch (NumberFormatException ex) { } 
    } 
    else 
    { 
      LabelResult.setText("Geben Sie Größe und Gewicht an."); 
    } 
  } 

  public void mousePressed(MouseEvent ev) { } 
  public void mouseEntered(MouseEvent ev) { } 
  public void mouseExited(MouseEvent ev) { } 
  public void mouseClicked(MouseEvent ev) { } 

  public void windowClosing(WindowEvent ev) 
  { 
    setVisible(false); 
    dispose(); 
  } 

  public void windowActivated(WindowEvent ev) { } 
  public void windowClosed(WindowEvent ev) { } 
  public void windowDeactivated(WindowEvent ev) { } 
  public void windowDeiconified(WindowEvent ev) { } 
  public void windowIconified(WindowEvent ev) { } 
  public void windowOpened(WindowEvent ev) { } 
} 