import javax.swing.*; 
import java.awt.Container; 
import java.awt.GridLayout; 
import java.awt.event.*; 

public class MyFrame extends JFrame implements ActionListener 
{ 
  JLabel LabelSize, LabelWeight, LabelResult; 
  JTextField TextSize, TextWeight; 
  JButton OK; 

  public MyFrame() 
  { 
    setSize(400, 120); 
    setDefaultCloseOperation(DISPOSE_ON_CLOSE); 
    Container contentPane = getContentPane(); 
    contentPane.setLayout(new GridLayout(3, 2)); 
    LabelSize = new JLabel("Ihre Körpergröße in cm:"); 
    LabelWeight = new JLabel("Ihr Gewicht in kg:"); 
    LabelResult = new JLabel(); 
    TextSize = new JTextField(); 
    TextWeight = new JTextField(); 
    OK = new JButton("OK"); 
    OK.addActionListener(this); 
    contentPane.add(LabelSize); 
    contentPane.add(TextSize); 
    contentPane.add(LabelWeight); 
    contentPane.add(TextWeight); 
    contentPane.add(LabelResult); 
    contentPane.add(OK); 
  } 

  public void actionPerformed(ActionEvent ev) 
  { 
    if (TextSize.getText().length() > 0 && TextWeight.getText().length() > 0) 
    { 
      try 
      { 
        int Size = Integer.parseInt(TextSize.getText()); 
        int Weight = Integer.parseInt(TextWeight.getText()); 
        double BMI = Weight / ((Size / 100.0) * (Size / 100.0)); 
        if (BMI < 18.5) 
        { 
          LabelResult.setText("Sie haben möglicherweise Untergewicht."); 
        } 
        else if (BMI > 30) 
        { 
          LabelResult.setText("Sie haben möglicherweise starkes Übergewicht."); 
        } 
        else if (BMI > 25) 
        { 
          LabelResult.setText("Sie haben möglicherweise Übergewicht."); 
        } 
        else 
        { 
          LabelResult.setText("Sie haben Normalgewicht."); 
        } 
      } catch (NumberFormatException ex) { } 
    } 
    else 
    { 
      LabelResult.setText("Geben Sie Größe und Gewicht an."); 
    } 
  } 
} 