import java.awt.*; 
import java.awt.event.*; 
import java.sql.*; 

public class MyApplication extends Frame implements WindowListener 
{ 
  static MyApplication myapp; 

  public static void main(String args[]) 
  { 
    try 
    { 
      Class.forName("sun.jdbc.odbc.JdbcOdbcDriver"); 
      /* Class.forName("com.ms.jdbc.odbc.JdbcOdbcDriver"); */ 

      myapp = new MyApplication(); 
      myapp.setLayout(new GridLayout(1, 2)); 
      List list1 = new List(4); 
      List list2 = new List(4); 
      myapp.add(list1); 
      myapp.add(list2); 
      myapp.setSize(400, 120); 
      myapp.addWindowListener(myapp); 
      myapp.setVisible(true); 

      String url = "jdbc:odbc:Highscore"; 
      Connection con = DriverManager.getConnection(url); 

      Statement stmt = con.createStatement(); 

      String sql = "SELECT Firstname, Lastname FROM employees"; 
      ResultSet rst = stmt.executeQuery(sql); 

      while (rst.next()) 
      { 
        list1.add(rst.getString("Firstname")); 
        list2.add(rst.getString("Lastname")); 
      } 

      rst.close(); 
      stmt.close(); 
      con.close(); 
    } 
    catch (Exception ex) 
    { 
      System.out.println(ex.toString()); 
      System.exit(1); 
    } 
  } 

  public void windowClosing(WindowEvent ev) 
  { 
    setVisible(false); 
    dispose(); 
    System.exit(1); 
  } 

  public void windowActivated(WindowEvent ev) { } 
  public void windowClosed(WindowEvent ev) { } 
  public void windowDeactivated(WindowEvent ev) { } 
  public void windowDeiconified(WindowEvent ev) { } 
  public void windowIconified(WindowEvent ev) { } 
  public void windowOpened(WindowEvent ev) { } 
} 