import java.applet.*; 
import java.awt.*; 
import java.awt.event.*; 
import java.io.*; 

public class MyApplet extends Applet implements ActionListener 
{ 
  byte[] numbers; 
  Label label; 
  List list; 
  Button button; 

  public void init() 
  { 
    setLayout(new BorderLayout()); 
    numbers = new byte[10]; 
    for (int i = 0; i < numbers.length; ++i) 
    { 
      numbers[i] = (byte)(Math.random() * 100); 
    } 
    label = new Label(); 
    add(label, BorderLayout.NORTH); 
    list = new List(); 
    add(list, BorderLayout.CENTER); 
    button = new Button("Liste laden"); 
    button.addActionListener(this); 
    add(button, BorderLayout.SOUTH); 
  } 

  public void actionPerformed(ActionEvent ev) 
  { 
    try 
    { 
      ByteArrayInputStream bytes = new ByteArrayInputStream(numbers); 
      int i; 
      while ( (i = bytes.read()) != -1) 
      { 
        list.add(Integer.toString(i)); 
      } 
      bytes.close(); 
      label.setText("Das Array wurde erfolgreich eingelesen."); 
    } 
    catch (IOException ex) 
    { 
      label.setText("Fehler: " + ex.getMessage()); 
    } 
  } 
} 