import java.applet.*; 
import java.awt.*; 
import java.awt.event.*; 
import java.io.*; 
import java.util.*; 

public class MyApplet extends Applet implements ActionListener 
{ 
  byte[] numbers = null; 
  TextField input; 
  List list; 
  Button save, load; 

  public void init() 
  { 
    setLayout(new BorderLayout()); 
    input = new TextField(); 
    add(input, BorderLayout.NORTH); 
    list = new List(); 
    add(list, BorderLayout.CENTER); 
    Panel panel = new Panel(new GridLayout(1, 2)); 
    save = new Button("Zahlen speichern"); 
    save.addActionListener(this); 
    panel.add(save); 
    load = new Button("Liste laden"); 
    load.addActionListener(this); 
    panel.add(load); 
    add(panel, BorderLayout.SOUTH); 
  } 

  public void actionPerformed(ActionEvent ev) 
  { 
    try 
    { 
      if (ev.getSource() == save) 
      { 
        ByteArrayOutputStream bytes = new ByteArrayOutputStream(); 
        StringTokenizer tokenizer = new StringTokenizer(input.getText(), " ,"); 
        while (tokenizer.hasMoreTokens()) 
        { 
          bytes.write(Byte.parseByte(tokenizer.nextToken())); 
        } 
        numbers = bytes.toByteArray(); 
        bytes.close(); 
      } 
      else if (numbers != null) 
      { 
        ByteArrayInputStream bytes = new ByteArrayInputStream(numbers); 
        int i; 
        while ( (i = bytes.read()) != -1) 
        { 
          list.add(Integer.toString(i)); 
        } 
        bytes.close(); 
      } 
    } 
    catch (IOException ex) 
    { 
      System.err.println("IOException: " + ex.getMessage()); 
    } 
    catch (NumberFormatException ex) 
    { 
      System.err.println("NumberFormatException: " + ex.getMessage()); 
    } 
  } 
} 